Create value

post/v1/operations/valuesets/{valueSetId}/values
Page View

Translation set endpoints allow you to review and manage value sets, translation sets, and related translation set links.

A value set is a list of values (e.g., LOINC, SNOMED, or a custom code set) that should be translated during the process of data exchange.

A translation set contains two value sets: one for incoming values and one for outgoing values between systems. A translation set also defines how those values should map to each other. Learn about translation sets.

A translation set link defines where the translation set should be applied in log processing for a specific subscription.

Anyone in a Redox organization can view translation sets and related value sets or links, but you must be assigned to an engineer or support role to update or delete them.

You can:

  • retrieve a list of value sets by environment or organization;
  • retrieve a list of translation sets by environment or organization;
  • create, update, or delete value sets;
  • create, update, or delete translation sets or links;
  • create, update, or delete a value in a value set; or
  • create or delete a translation in a translation set;

Create value

Add a new value to an existing value set.

This endpoint allows you to add one value at a time.

Only for engineer or support roles

Any user may view existing data operations (e.g., filters, translation sets, config modifiers) for subscriptions in a given environment. However, you must be assigned to an engineer or a support role to create and manage data operations. Learn about roles.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/operations/valuesets/{valueSetId}/values' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json' \
5
--header 'content-type: application/json' \
6
--data '{
7
"value": "5792-7"
8
}'

Path Parameters

  • valueSetId
    required, string

    Contains the unique identifier of the value set.

Request Body Schema

  • value
    string

    Contains the actual string value data.

Response fields and example

Example payload generated from schema
1
{
2
"meta": {
3
"version": "1.0.0"
4
},
5
"payload": {
6
"value": {
7
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
8
"value": "5792-7",
9
"valueSetId": "bcaa100d-4497-4e67-8c63-30648b2c856d"
10
}
11
}
12
}
  • meta
    object
    • version
      string

      Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

  • payload
    object

    Contains details about the created or modified value.

    • value
      object
      • id
        string

        Contains the unique identifier of the asset.

        Format: uuid
      • value
        string

        Contains the actual string value data.

      • valueSetId
        string

        Contains the unique identifier of the related value set.

        Format: uuid

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.